=== debian/changelog ===
ros-indigo-turtlebot-arm-block-manipulation (0.3.3-0trusty) trusty; urgency=high

  * Updated version for indigo/moveit of the old turtlebot_block_manipulation

 -- Jorge Santos <jsantossimon@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-indigo-turtlebot-arm-block-manipulation (0.3.2-0trusty) trusty; urgency=high



 -- Jorge Santos <jsantossimon@gmail.com>  Fri, 29 Aug 2014 22:00:00 -0000

ros-indigo-turtlebot-arm-block-manipulation (0.3.1-0trusty) trusty; urgency=high



 -- Jorge Santos <jsantossimon@gmail.com>  Thu, 21 Aug 2014 22:00:00 -0000

ros-indigo-turtlebot-arm-block-manipulation (0.3.0-0trusty) trusty; urgency=high



 -- Jorge Santos <jsantossimon@gmail.com>  Sat, 16 Aug 2014 22:00:00 -0000
